org.apache.lucene.benchmark.utils

## Class ExtractReuters

- java.lang.Object
- - org.apache.lucene.benchmark.utils.ExtractReuters

-     public class ExtractReuters
      extends Object

  Split the Reuters SGML documents into Simple Text files containing: Title, Date, Dateline, Body

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractReuters(File reutersDir, File outputDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extract()`
    `protected void` | `extractFile(File sgmFile)` Override if you wish to change what is extracted
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractReuters

          public ExtractReuters(File reutersDir,
                        File outputDir)

  - ### Method Detail

    - #### extract

          public void extract()

    - #### extractFile

          protected void extractFile(File sgmFile)

      Override if you wish to change what is extracted

    - #### main

          public static void main(String[] args)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.